package com.qmth.teachcloud.mark.service;

import com.qmth.teachcloud.mark.entity.MarkGroup;
import com.qmth.teachcloud.mark.entity.MarkPaper;
import com.qmth.teachcloud.mark.entity.MarkUserGroup;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.List;

public interface MarkSyncService {

    public static Logger log = LoggerFactory.getLogger(MarkSyncService.class);

    void markerResetSync(MarkUserGroup markUserGroup);

    void updateQuality(List<MarkUserGroup> markUserGroups, String lockKey);

    void deleteMarkGroup(MarkGroup markGroup, boolean deleteGroupInfo);

    void calcObjectiveScore(MarkPaper markPaper);
}
